## fis-gtm 6.2-000

=== debian/changelog ===
fis-gtm (6.2-000-1) unstable; urgency=low

  * Import latest sources and update package version
  * Delete prior patches and incorporate -emeb_source 
  * Build all three encryption plugins: gcrypt AES2568CFB, OpenSSL AES256CFB,
    OpenSSL BLOWFISH. UPDATE: only building the gcrypt AES256CFB plugin until
    we can resolve a licensing conflict.
  * Eliminate remaining lintian warnings
  * Added GFDL-1.3 license information to debian/copyright
    Closes: #762457

 -- Amul Shah <Amul.Shah@fisglobal.com>  Sat, 04 Oct 2014 19:12:34 -0400

fis-gtm (6.1-000-1) unstable; urgency=medium

  [ Andreas Tille ]
  * debian/bin/mumps: Proposed wrapper which could be installed into
    /usr/bin
    TODO: check whether it makes sense / is correct and install it into
          the package
  * debian/README.Debian: Add hint to online documentation

  [ Luis Ibanez ]
  * Update Standards to match the most recent: 3.9.5. Lintian warning.

  [ Amul Shah  ]
  * Import lastest sources and refresh patches

 -- Amul Shah <Amul.Shah@fisglobal.com>  Fri, 29 Aug 2014 09:50:24 -0400

=== debian/control ===
Source: fis-gtm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>,
           Luis Ibanez <luis.ibanez@kitware.com>,
           Amul Shah <Amul.Shah@fisglobal.com>
Section: database
Priority: optional
Build-Depends: debhelper (>= 9),
               libicu-dev,
               locales,
               tcsh,
               libncurses5-dev | libncurses-dev,
               libtinfo-dev,
               gnupg,
               zlib1g-dev,
               libgcrypt11-dev | libgcrypt-dev,
               libgpgme11-dev,
               libconfig-dev | libconfig8-dev,
               libssl-dev,
               linux-libc-dev,
               libelf-dev,
               gcc-multilib,
               cmake (>= 2.8.5)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/fis-gtm.git
Vcs-Git: git://anonscm.debian.org/debian-med/fis-gtm.git
Homepage: http://sourceforge.net/projects/fis-gtm

Package: fis-gtm
Architecture: all
Depends: ${misc:Depends},
         fis-gtm-6.2-000
Provides: mumps
Description: metapackage for the latest version of FIS-GT.M database
 GT.M is a database engine with scalability proven in large real-time
 transaction processing systems that have thousands of concurrent
 users, individual database file sizes to the Terabyte range (with
 virtually unlimited aggregate database sizes).  Yet the light
 footprint of GT.M allows it to also scale down for use in small
 applications and software appliances (virtual machines).
 .
 The GT.M data model is hierarchical associative memory (i.e.,
 multi-dimensional array) that imposes no restrictions on the data
 types of the indexes or content - the application logic can impose
 any schema, dictionary or data organization suited to its problem
 domain.  (Database engines that do not impose schemas, but which
 allow layered application software to impose and use whatever schema
 that is appropriate to the application are popularly referred to as
 "document oriented", "schemaless" or "schema-free" databases.)
 .
 GT.M's compiler for the standard M (also known as MUMPS) scripting
 language implements full support for ACID (Atomic, Consistent,
 Isolated, Durable) transactions, using optimistic concurrency control
 and software transactional memory (STM) that resolves the common
 mismatch between databases and programming languages. Its unique
 ability to create and deploy logical multi-site configurations of
 applications provides unrivaled continuity of business in the face of
 not just unplanned events, but also planned events, including planned
 events that include changes to application logic and schema.
 .
 This metapackage always depends from the default fis-gtm version.

Package: fis-gtm-6.2-000
Architecture: amd64 i386
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libicu-dev
Provides: gtm,
          mumps
Recommends: zlib1g
Multi-Arch: same
Description: package for FIS-GT.M database
 GT.M is a database engine with scalability proven in large real-time
 transaction processing systems that have thousands of concurrent
 users, individual database file sizes to the Terabyte range (with
 virtually unlimited aggregate database sizes).  Yet the light
 footprint of GT.M allows it to also scale down for use in small
 applications and software appliances (virtual machines).
 .
 The GT.M data model is hierarchical associative memory (i.e.,
 multi-dimensional array) that imposes no restrictions on the data
 types of the indexes or content - the application logic can impose
 any schema, dictionary or data organization suited to its problem
 domain.  (Database engines that do not impose schemas, but which
 allow layered application software to impose and use whatever schema
 that is appropriate to the application are popularly referred to as
 "document oriented", "schemaless" or "schema-free" databases.)
 .
 GT.M's compiler for the standard M (also known as MUMPS) scripting
 language implements full support for ACID (Atomic, Consistent,
 Isolated, Durable) transactions, using optimistic concurrency control
 and software transactional memory (STM) that resolves the common
 mismatch between databases and programming languages. Its unique
 ability to create and deploy logical multi-site configurations of
 applications provides unrivaled continuity of business in the face of
 not just unplanned events, but also planned events, including planned
 events that include changes to application logic and schema.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for fis-gtm

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

MARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{sub(/-[0-9]*$$/,"");print $$2;}')
UAPIVER := $(shell echo $(UVER) | sed -e 's,+.*,,')
UAPIDIR := V$(UAPIVER)_$(ARCH)
SRCPKG := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
BINPKG := $(shell awk '/Package:.*[0-9]/{print $$2;}' debian/control)
GTM_INSTALL_DIR := lib/$(MARCH)/fis-gtm/$(UAPIDIR)
LOCAL_GTM_INSTALL_DIR := $(CURDIR)/debian/$(BINPKG)/usr/$(GTM_INSTALL_DIR)

%:
	dh $@ --parallel

# Set up locale support in the pbuilder environment
override_dh_auto_build:
	mkdir -p debian/tmp/locale/
	localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
	export LOCPATH=$(CURDIR)/debian/tmp/locale/ && \
	export LC_ALL=en_US.UTF-8 && \
	dh_auto_build

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX:PATH=/usr -DGTM_INSTALL_DIR=$(GTM_INSTALL_DIR)

override_dh_auto_install:
	#echo "umask is: "
	#umask
	dh_auto_install --destdir=debian/$(BINPKG)-stage1 $@
	cd debian/$(BINPKG)-stage1/usr/$(GTM_INSTALL_DIR) && \
		gtm_destdir=$(CURDIR)/debian/$(BINPKG) \
		gtmcompile="-embed_source" \
		./gtminstall --utf8 default --user root --group root --verbose \
			--distrib . \
			--installdir $(LOCAL_GTM_INSTALL_DIR)
	#@echo "I: Removing redundant license file. One is already available."
	find $(LOCAL_GTM_INSTALL_DIR) -name COPYING -delete
	# remove empty directories
	find $(LOCAL_GTM_INSTALL_DIR) -type d -empty -delete
	# fix permissions of directories
	find $(LOCAL_GTM_INSTALL_DIR) -type d -exec chmod u+x \{\} \;

override_dh_fixperms:
	#echo "umask is: "
	#umask
	dh_fixperms
	#echo "overriding dh_fixperms"
	#echo "I: Fixing up permissions for removed write rights -- we aren't done yet!"
	chmod +w -R $(LOCAL_GTM_INSTALL_DIR)
	chmod +w -R $(LOCAL_GTM_INSTALL_DIR)/utf8
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/utf8
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/plugin
	#echo "I: Fixing up permissions for setuid rights -- we aren't done yet!"
	chmod 4755 $(LOCAL_GTM_INSTALL_DIR)/gtmsecshr
	chmod 0500 $(LOCAL_GTM_INSTALL_DIR)/gtmsecshrdir
	chmod 4500 $(LOCAL_GTM_INSTALL_DIR)/gtmsecshrdir/gtmsecshr
	#echo "I: changing permissions to 644 for files that will be sourced"
	chmod 0644 $(LOCAL_GTM_INSTALL_DIR)/gtmprofile
	chmod 0644 $(LOCAL_GTM_INSTALL_DIR)/gtmprofile_preV54000
	chmod 0644 $(LOCAL_GTM_INSTALL_DIR)/gtcm_slist
	chmod 0644 $(LOCAL_GTM_INSTALL_DIR)/gtmcshrc
	#echo "I: Fixing executable permissions"
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/dse
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/ftok
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/geteuid
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_gnp_server
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_pkdisp
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_play
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_run
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_server
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_shmclean
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtm
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtmbase
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtmstart
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtmstop
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/lke
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/mumps
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/mupip
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/semstat2
	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/plugin/gtmcrypt/*.sh

	#echo "I: Final permissions after dh_fixperms"
	#ls -l $(LOCAL_GTM_INSTALL_DIR)

# yoh: although it might sound to remove write permissions for the
# deployed materials, as far as I see it, it is useless, since the
# user (root) would always be able to revert them to become writable.

# Because 'the' binary package name will change, let's just generate
# override files
# The override is needed according to upstream for GTM to generate executable 'call-in's
override_dh_lintian:
	echo "$(BINPKG) binary: shlib-with-executable-stack usr/lib/*/fis-gtm/*/libgtmshr.so" >  debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG) binary: shared-lib-without-dependency-information usr/lib/*/fis-gtm/*/libgtmutil.so" >> debian/$(BINPKG).lintian-overrides
	echo "# The following permissions are really set intentionally in override_dh_fixpermissions" >> debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG): setuid-binary usr/lib/*/fis-gtm/*/gtmsecshrdir/gtmsecshr 4500 root/root" >> debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG): executable-is-not-world-readable usr/lib/*/fis-gtm/*/gtmsecshrdir/gtmsecshr 4500" >> debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG): setuid-binary usr/lib/*/fis-gtm/*/gtmsecshr 4755 root/root" >> debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/gtmsecshrdir/ 0500 != 0755" >> debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG): package-contains-hardlink usr/lib/*/fis-gtm/*/gtmsecshr -> usr/lib/*/fis-gtm/*/utf8/gtmsecshr" >> debian/$(BINPKG).lintian-overrides
	echo "$(BINPKG): package-contains-hardlink usr/lib/*/fis-gtm/*/gtmsecshrdir/gtmsecshr -> usr/lib/*/fis-gtm/*/utf8/gtmsecshrdir/gtmsecshr" >> debian/$(BINPKG).lintian-overrides

	dh_lintian

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/$(BINPKG)-stage1
	rm -f debian/fis-gtm.links debian/fis-gtm-$(UVER).lintian-overrides

# for some strange reason dh_strip does not seem to do a reliable job
# FIXME: there should be some more elegant solution like this
override_dh_strip:
	dh_strip
	if [ -d $(LOCAL_GTM_INSTALL_DIR) ] ; then \
	    cd $(LOCAL_GTM_INSTALL_DIR) ; \
	    strip dse gtcm_gnp_server gtcm_play gtcm_server gtcm_shmclean lke mupip ; \
	fi
	find $(LOCAL_GTM_INSTALL_DIR) -name maskpass -exec strip --remove-section=.comment \{\} \;

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

## fis-gtm 6.2-002A

=== debian/changelog ===
fis-gtm (6.2-002A-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:46:03 +0000

fis-gtm (6.2-002A-2) unstable; urgency=medium

  * Fix build issue by adding Build-Conflicts: locales-all (thanks for
    the patch to Chris West <solo-debianbugs@goeswhere.com>)
    Closes: #791405

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jul 2015 21:57:28 +0200

fis-gtm (6.2-002A-1) unstable; urgency=medium

  * Import latest sources and update package version

 -- Amul Shah <Amul.Shah@fisglobal.com>  Fri, 26 Jun 2015 21:06:23 -0400

fis-gtm (6.2-002-1) unstable; urgency=low

  * Import latest sources and update package version 

 -- Amul Shah <Amul.Shah@fisglobal.com>  Mon, 08 Jun 2015 20:37:55 -0400

fis-gtm (6.2-001-1) unstable; urgency=low

  * Import latest sources and update package version 
  * Fix a problem generating UTF-8 mode MUMPS object code
    Closes: #775302

 -- Amul Shah <Amul.Shah@fisglobal.com>  Thu, 23 Apr 2015 23:00:17 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
                libelf-dev,
                gcc-multilib,
                cmake (>= 2.8.5)
-Standards-Version: 3.9.5
+Build-Conflicts: locales-all
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/fis-gtm.git
 Vcs-Git: git://anonscm.debian.org/debian-med/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
@@ -30,7 +31,7 @@
 Package: fis-gtm
 Architecture: all
 Depends: ${misc:Depends},
-         fis-gtm-6.2-000
+         fis-gtm-6.2-002
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -61,16 +62,16 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.2-000
+Package: fis-gtm-6.2-002
 Architecture: amd64 i386
-Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libicu-dev
+Recommends: zlib1g
+Pre-Depends: multiarch-support
 Provides: gtm,
           mumps
-Recommends: zlib1g
-Multi-Arch: same
 Description: package for FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
  transaction processing systems that have thousands of concurrent

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_auto_build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX:PATH=/usr -DGTM_INSTALL_DIR=$(GTM_INSTALL_DIR)
+	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX:PATH=/usr -DGTM_INSTALL_DIR=$(GTM_INSTALL_DIR) -DCMAKE_BUILD_TYPE=Release
 
 override_dh_auto_install:
 	#echo "umask is: "

## fis-gtm 6.3

=== CMakeLists.txt ===
#################################################################
#								#
# Copyright (c) 2012-2020 Fidelity National Information		#
# Services, Inc. and/or its subsidiaries. All rights reserved.	#
#								#
#	This source code contains the intellectual property	#
#	of its copyright holder(s), and is made available	#
#	under a license.  If you do not know the terms of	#
#	the license, please stop and do not read further.	#
#								#
#################################################################

# CMake 2.8.4 introduced LINK_DEPENDS target property
# CMake 2.8.4 introduced generator expressions in custom commands
# CMake 2.8.5 introduced use of C compiler as the assembler
cmake_minimum_required(VERSION 2.8.5)
project(GTM C ASM)

# Max optimization level is -O2
get_property(languages GLOBAL PROPERTY ENABLED_LANGUAGES)
foreach(lang ${languages})
  get_property(flags CACHE CMAKE_${lang}_FLAGS_RELEASE PROPERTY VALUE)
  if("${flags}" MATCHES "-O[3-9]")
    string(REGEX REPLACE "-O[3-9]" "-O2" flags "${flags}")
    set_property(CACHE CMAKE_${lang}_FLAGS_RELEASE PROPERTY VALUE "${flags}")
  endif()
endforeach()

# Defaults
set(version ${V6.3-014})
if("${version}" STREQUAL "")
        set(version V9.9-0)
endif()

# If CMAKE_BUILD_TYPE is not defined make it a Release build
if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type" FORCE)
endif()

if(GTM_RELEASE_NAME)
  add_definitions(-DGTM_RELEASE_NAME="${GTM_RELEASE_NAME}")
endif()

# Enable GT.M debug options unless directed not to enable them. Added to build without whitebox tests.
set(GTM_ENABLE_DEBUG 1 CACHE BOOL "Enable GT.M debug options")
if(GTM_ENABLE_DEBUG)
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
endif()

if ( CMAKE_COMPILER_IS_GNUCC )
    set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -Wall -Wno-unused-result -Wno-parentheses -Wno-unused-value -Wno-unused-variable")
    set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -Wno-maybe-uninitialized -Wno-char-subscripts -Wno-unused-but-set-variable")
    set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -Wno-unused-function")
endif()

set(install_permissions_script
  OWNER_READ OWNER_EXECUTE OWNER_WRITE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  )

if(CMAKE_VERSION VERSION_LESS 3.0.0)
    set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_DEBUG DEBUG)
else()
    set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS $<$<CONFIG:Debug>:DEBUG>)
endif()

# Only IA64 and x86_64 architectures use this option
set(gen_xfer_desc 0)

# Platform specific libs
set(gtm_osarch_libs "")

# Define these ahead of establishing platforms
set(gt_src_list gen)
set(sources_used "")
set(extralibs "")
message("--> OS = ${CMAKE_SYSTEM_NAME} / ARCH = ${CMAKE_SYSTEM_PROCESSOR}")
# Establish platform
# Except for Solaris, CMAKE_COMPILER_IS_GNUCC is true
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  include(sr_linux/platform.cmake)
elseif(${CMAKE_SYSTEM_NAME} STREQUAL "AIX")
  include(sr_aix/platform.cmake)
else()
  message(FATAL_ERROR "--> OS = ${CMAKE_SYSTEM_NAME} / ARCH = ${CMAKE_SYSTEM_PROCESSOR}")
endif()

# Choose where to get bootstrap sources.
set(GTM_DIST "" CACHE PATH "Existing GT.M Distribution")
if(GTM_DIST)
  # Bootstrap using already-installed mumps.
  message(STATUS "Using existing gtm_dist=${GTM_DIST} to generate sources.")
  set(gen_bootstrap 1)
  set(gen_bootstrap_dist "${GTM_DIST}")
  set(gen_bootstrap_mumps "${GTM_DIST}/mumps")
  set(gen_bootstrap_depend "${gen_bootstrap_mumps}")
else()
  # Bootstrap using pre-generated bootstrap sources.
  # We generate them again only for comparison.
  message(STATUS "Bootstraping from pre-generated sources.")
  set(gen_bootstrap 0)
  set(gen_bootstrap_dist "${GTM_BINARY_DIR}")
  set(gen_bootstrap_mumps "$<TARGET_FILE:mumps>")
  set(gen_bootstrap_depend mumps)
endif()

set(GTM_INSTALL_DIR lib/fis-gtm/${version}_${arch} CACHE STRING "Install directory (under CMAKE_PREFIX_PATH if relative)")
if(NOT GTM_INSTALL_DIR)
  set(GTM_INSTALL_DIR .)
endif()

#-----------------------------------------------------------------------------

# Source files are organized into subdirectories named by platform.
# Store in 'gt_src_list' a list of directory names selected and
# ordered based on the target platform.  A given source file name may
# appear in multiple directories but only the instance found earliest
# in the search path will be used.  Later instances of the same source
# file name will be ignored.
list(APPEND gt_src_list
  sr_unix_gnp
  sr_unix_cm
  sr_unix
  sr_port_cm
  sr_port
  )

# Collect the source file names belonging to each directory.  Store
# the full path to a directory in 'source_dir_${d}' and the list of
# source file names in the directory in 'sources_${d}'.
foreach(d ${gt_src_list})
  set(source_dir_${d} ${GTM_SOURCE_DIR}/${d})
  file(GLOB sources_${d} RELATIVE ${source_dir_${d}}
	  ${d}/*.c ${d}/*.s ${d}/*.si ${d}/*.txt)
endforeach()
# Prefer generated sources over all other locations.
file(MAKE_DIRECTORY ${GTM_BINARY_DIR}/gen)
set(source_dir_gen ${GTM_BINARY_DIR}/gen)
# Hard-code list since we cannot glob files that do not exist.
set(sources_gen gtm_threadgbl_deftypes.h gtm_threadgbl_deftypes_asm.si)
if(gen_bootstrap)
  set(sources_gen ${sources_gen} cmerrors_ctl.c cmierrors_ctl.c gdeerrors_ctl.c merrors_ctl.c ttt.c)
endif()

# The C preprocessor include search path consists of every source
# directory ordered by 'gt_src_list'.
set(includes ${GTM_BINARY_DIR}/gen)
foreach(d ${gt_src_list})
  list(APPEND includes ${source_dir_${d}})
endforeach()
include_directories(${includes})
# We generate some uniquely-named headers in the top of the build tree.
include_directories(${GTM_BINARY_DIR})

# Function to select the first instance of a given source file name
# found in the ordered 'gt_src_list' search path.
function(select_file src_var name)
  set(found "")
  foreach(d ${gt_src_list})
    set(src "${source_dir_${d}}/${name}")
    if(EXISTS "${src}")
      set(found "${src}")
      break()
    endif()
  endforeach()
  if(NOT found)
    message(FATAL_ERROR "Cannot find \"${name}\" as ${ARGN}")
  endif()
  set("${src_var}" "${found}" PARENT_SCOPE)
endfunction()

# Macro to search directories ordered by 'gt_src_list' for a given
# list of source file names, assign them to a target, and exclude the
# source file names from inclusion in libmumps.
macro(set_source_list target)
  foreach(name ${ARGN})
    set(src "")
    foreach(d ${gt_src_list})
      if(";${sources_${d}};" MATCHES ";(${name}\\.(c|s|si));")
      	set(fname ${CMAKE_MATCH_1})
	set(src ${d}/${fname})
	set("source_used_${fname}" 1)
	list(APPEND sources_used ${source_dir_${d}}/${fname})
	break()
      endif()
    endforeach()
    if(src)
      list(APPEND ${target}_SOURCES ${src})
    else()
      message(FATAL_ERROR "No source \"${name}\" available!")
    endif()
  endforeach()
endmacro()

# Macro like set_source_list but that loads the list of source file
# names from a file.
macro(load_source_list target listfile)
  file(STRINGS "${listfile}" names)
  set_source_list(${target} ${names})
endmacro()

#-----------------------------------------------------------------------------

# Assign sources to libraries.
load_source_list(libcmisockettcp sr_unix_gnp/libcmisockettcp.list)
load_source_list(libdbcertify    sr_unix/libdbcertify.list)
load_source_list(libdse          sr_unix/libdse.list)
load_source_list(libgnpclient    sr_unix_gnp/libgnpclient.list)
load_source_list(libgnpserver    sr_unix_gnp/libgnpserver.list)
load_source_list(libgtcm         sr_unix_cm/libgtcm.list)
load_source_list(liblke          sr_unix/liblke.list)
load_source_list(libmupip        sr_unix/libmupip.list)
load_source_list(libstub         sr_unix/libstub.list)

# Assign sources to executables.
set_source_list(gtm_threadgbl_deftypes gtm_threadgbl_deftypes)
set_source_list(dbcertify        dbcertify dbcertify_cmd)
set_source_list(dse              dse dse_cmd)
set_source_list(ftok             ftok)
set_source_list(gtcm_gnp_server  gtcm_gnp_server)
set_source_list(gtcm_pkdisp      gtcm_pkdisp)
set_source_list(gtcm_play        gtcm_play omi_srvc_xct)
set_source_list(gtcm_server      gtcm_main omi_srvc_xct)
set_source_list(gtcm_shmclean    gtcm_shmclean)
set_source_list(gtmsecshr        gtmsecshr_wrapper)
set_source_list(gtmsecshr_real   gtmsecshr)
set_source_list(libgtmcrypt      gtmcrypt_ref gtmcrypt_pk_ref gtmcrypt_dbk_ref gtmcrypt_sym_ref gtmcrypt_util)
set_source_list(libgtmtls        gtm_tls_impl gtmcrypt_util)
set_source_list(libgtmshr        gtm_main)
set_source_list(lke              lke lke_cmd)
set_source_list(maskpass         maskpass gtmcrypt_util)
set_source_list(mumps            gtm)
set_source_list(mupip            mupip mupip_cmd)
set_source_list(semstat2         semstat2)

#-----------------------------------------------------------------------------
# libmumps gets leftover sources, so compute the remaining list.
set(source_used_dtgbldir.c 1) # exclude unused source
set(libmumps_SOURCES "")
foreach(d ${gt_src_list})
  foreach(s ${sources_${d}})
    if(NOT source_used_${s} AND "${s}" MATCHES "\\.(c|s|si)$")
      list(APPEND libmumps_SOURCES ${d}/${s})
      set(source_used_${s} 1)
      list(APPEND sources_used ${source_dir_${d}}/${s})
    endif()
  endforeach()
endforeach()

#-----------------------------------------------------------------------------
# Generate files depending on gtm

# Copy generation routines to a working directory.
foreach(m chk2lev.m chkop.m gendash.m genout.m loadop.m loadvx.m msg.m tttgen.m tttscan.m)
  add_custom_command(
    OUTPUT gen/${m}
    DEPENDS ${GTM_SOURCE_DIR}/sr_port/${m}
    COMMAND ${CMAKE_COMMAND} -E copy ${GTM_SOURCE_DIR}/sr_port/${m} ${GTM_BINARY_DIR}/gen/${m}
    )
endforeach()

foreach(f ttt.txt opcode_def.h vxi.h)
  select_file(src ${f})
  list(APPEND tttfiles ${src})
endforeach()
set(mumps_ttt_args -run tttgen ${tttfiles})
add_custom_command(
  OUTPUT gen/ttt.c
  DEPENDS ${tttfiles}
    gen/chk2lev.m gen/chkop.m gen/gendash.m gen/genout.m gen/loadop.m
    gen/loadvx.m gen/tttgen.m gen/tttscan.m
    ${GTM_SOURCE_DIR}/sr_unix/mumps.cmake ${gen_bootstrap_depend}
  WORKING_DIRECTORY ${GTM_BINARY_DIR}/gen
  COMMAND ${CMAKE_COMMAND}
    -D gtm_dist=${gen_bootstrap_dist}
    -D gtm_tools=${GTM_SOURCE_DIR}/sr_port
    -D gtmroutines=.
    -D mumps=${gen_bootstrap_mumps}
    -D "args=${mumps_ttt_args}"
    -D output_file=ttt.log
    -P ${GTM_SOURCE_DIR}/sr_unix/mumps.cmake
  VERBATIM
  )
list(APPEND gen_bootstrap_files gen/ttt.c)

set(gen_merrors_extra gen/merrors_ansi.h)
foreach(msg
    sr_port/cmerrors.msg
    sr_port/gdeerrors.msg
    sr_port/merrors.msg
    sr_unix_gnp/cmierrors.msg
    )
  get_filename_component(name ${msg} NAME_WE)
  set(mumps_msg_args -run msg ${GTM_SOURCE_DIR}/${msg} unix)
  set(outputs gen/${name}_ctl.c ${gen_${name}_extra})
  add_custom_command(
    OUTPUT ${outputs}
    DEPENDS gen/msg.m ${GTM_SOURCE_DIR}/${msg}
            ${GTM_SOURCE_DIR}/sr_unix/mumps.cmake ${gen_bootstrap_depend}
    WORKING_DIRECTORY ${GTM_BINARY_DIR}/gen
    COMMAND ${CMAKE_COMMAND}
      -D gtm_dist=${gen_bootstrap_dist}
      -D gtm_tools=${GTM_SOURCE_DIR}/sr_port
      -D gtmroutines=.
      -D mumps=${gen_bootstrap_mumps}
      -D "args=${mumps_msg_args}"
      -P ${GTM_SOURCE_DIR}/sr_unix/mumps.cmake
    VERBATIM
    )
  list(APPEND gen_bootstrap_files ${outputs})
endforeach()

add_custom_target(gen_bootstrap ALL DEPENDS ${gen_bootstrap_files})

#-----------------------------------------------------------------------------

if(gen_xfer_desc)
  list(SORT sources_used)
  set(CMAKE_CONFIGURABLE_FILE_CONTENT "")
  foreach(src ${sources_used})
    set(CMAKE_CONFIGURABLE_FILE_CONTENT "${CMAKE_CONFIGURABLE_FILE_CONTENT}${src}\n")
  endforeach()
  configure_file(${CMAKE_ROOT}/Modules/CMakeConfigurableFile.in ${GTM_BINARY_DIR}/sources.list)
  add_custom_command(
    OUTPUT xfer_desc.i
    WORKING_DIRECTORY ${GTM_BINARY_DIR}
    DEPENDS ${GTM_SOURCE_DIR}/sr_unix/gen_xfer_desc.cmake

## fis-gtm 6.3-000

=== debian/changelog ===
fis-gtm (6.3-000-2) unstable; urgency=medium

  [ Amul Shah ]
  * Fix a bug in the installation script 

  [ Andreas Tille ]
  * Better hardening
  * cme fix dpkg-control

 -- Amul Shah <Amul.Shah@fisglobal.com>  Tue, 17 May 2016 09:51:10 -0400

fis-gtm (6.3-000-1) unstable; urgency=medium

  * Import latest sources and update package version

 -- Amul Shah <Amul.Shah@fisglobal.com>  Tue, 29 Mar 2016 14:44:37 -0400

fis-gtm (6.2-002A-3) unstable; urgency=medium

  [ Gert Wollny ]
  * Fix build issue with libc 2.2.4
    Closes: #818861

  [ Andreas Tille ]
  * cme fix dpkg-control
  * do not explicitly Pre-Depends: multiarch-support but use
    ${misc:Pre-Depends} instead

 -- Andreas Tille <tille@debian.org>  Mon, 21 Mar 2016 14:12:05 +0100

=== debian/control ===
--- 
+++ 
@@ -21,17 +21,17 @@
                linux-libc-dev,
                libelf-dev,
                gcc-multilib,
-               cmake (>= 2.8.5)
+               cmake
 Build-Conflicts: locales-all
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/fis-gtm.git
-Vcs-Git: git://anonscm.debian.org/debian-med/fis-gtm.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fis-gtm.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
 
 Package: fis-gtm
 Architecture: all
 Depends: ${misc:Depends},
-         fis-gtm-6.2-002
+         fis-gtm-6.3-000
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -62,14 +62,14 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.2-002
+Package: fis-gtm-6.3-000
 Architecture: amd64 i386
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libicu-dev
 Recommends: zlib1g
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Provides: gtm,
           mumps
 Description: package for FIS-GT.M database

=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,10 @@
 GTM_INSTALL_DIR := lib/$(MARCH)/fis-gtm/$(UAPIDIR)
 LOCAL_GTM_INSTALL_DIR := $(CURDIR)/debian/$(BINPKG)/usr/$(GTM_INSTALL_DIR)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@ --parallel
-
-# Set up locale support in the pbuilder environment
-override_dh_auto_build:
-	mkdir -p debian/tmp/locale/
-	localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
-	export LOCPATH=$(CURDIR)/debian/tmp/locale/ && \
-	export LC_ALL=en_US.UTF-8 && \
-	dh_auto_build
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX:PATH=/usr -DGTM_INSTALL_DIR=$(GTM_INSTALL_DIR) -DCMAKE_BUILD_TYPE=Release
@@ -105,6 +99,12 @@
 	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/gtmsecshrdir/ 0500 != 0755" >> debian/$(BINPKG).lintian-overrides
 	echo "$(BINPKG): package-contains-hardlink usr/lib/*/fis-gtm/*/gtmsecshr -> usr/lib/*/fis-gtm/*/utf8/gtmsecshr" >> debian/$(BINPKG).lintian-overrides
 	echo "$(BINPKG): package-contains-hardlink usr/lib/*/fis-gtm/*/gtmsecshrdir/gtmsecshr -> usr/lib/*/fis-gtm/*/utf8/gtmsecshrdir/gtmsecshr" >> debian/$(BINPKG).lintian-overrides
+	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/ 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
+	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/plugin/gtmcrypt/ 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
+	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/utf8/gtmsecshrdir/ 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
+	echo "$(BINPKG): non-standard-executable-perm usr/lib/*/fis-gtm/*/plugin/gtmcrypt/maskpass 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
+	echo "$(BINPKG): non-standard-file-perm usr/lib/*/fis-gtm/*/* 0664 != 0644" >> debian/$(BINPKG).lintian-overrides
+	echo "$(BINPKG): non-standard-file-perm usr/lib/*/fis-gtm/*/utf8/* 0664 != 0644" >> debian/$(BINPKG).lintian-overrides
 
 	dh_lintian

=== debian/watch ===
version=3
http://sf.net/fis-gtm/fis-gtm-V(\d\.\d-\d+[A-F]*)\.tar\.gz

## fis-gtm 6.3-000A

=== debian/changelog ===
fis-gtm (6.3-000A-1) unstable; urgency=low

  [ Amul Shah ]
  * Update to fis-gtm V6.3-000A

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4

 -- Amul Shah <Amul.Shah@fisglobal.com>  Fri, 28 Oct 2016 11:56:29 -0400

fis-gtm (6.3-000-3) unstable; urgency=medium

  [ Amul Shah ]
  * Temporarily drop encryption plugin test builds
    Closes: #828300

 -- Amul Shah <Amul.Shah@fisglobal.com>  Thu, 27 Oct 2016 22:04:43 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Amul Shah <Amul.Shah@fisglobal.com>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libicu-dev,
                locales,
                tcsh,
@@ -31,7 +31,7 @@
 Package: fis-gtm
 Architecture: all
 Depends: ${misc:Depends},
-         fis-gtm-6.3-000
+         fis-gtm-6.3-000a
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -62,7 +62,7 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.3-000
+Package: fis-gtm-6.3-000a
 Architecture: amd64 i386
 Multi-Arch: same
 Depends: ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX:PATH=/usr -DGTM_INSTALL_DIR=$(GTM_INSTALL_DIR) -DCMAKE_BUILD_TYPE=Release

## fis-gtm 6.3-003A

=== debian/changelog ===
fis-gtm (6.3-003A-2) unstable; urgency=medium

  [ Amul Shah ]
  * Update debian/copyright to acknowledge the public domain status of
    sr_port/md5hash.c
    Closes: #891298

  [ Andreas Tille ]
  * Drop some unneeded lintian overrides

 -- Amul Shah <Amul.Shah@fisglobal.com>  Mon, 26 Feb 2018 04:57:51 -0500

fis-gtm (6.3-003A-1) unstable; urgency=medium

  * Update to fis-gtm V6.3-003A 

 -- Amul Shah <Amul.Shah@fisglobal.com>  Mon, 22 Jan 2018 04:45:57 -0500

fis-gtm (6.3-002-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Switch Build-Depends from libconfig8-dev to libconfig-dev
    Closes: #881368
  * Standards-Version: 4.1.3
  * do not parse d/changelog

  [ Amul Shah ]
  * Address fis-gtm FTBFS with linux-libc-dev 4.14.2-1
    Closes: #884236

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jan 2018 21:52:11 +0100

fis-gtm (6.3-002-3) unstable; urgency=medium

  * build scripts that export three new symbols

 -- Amul Shah <Amul.Shah@fisglobal.com>  Wed, 27 Sep 2017 04:00:04 -0400

fis-gtm (6.3-002-2) unstable; urgency=medium

  * Update to fis-gtm V6.3-002
  * Update Standards to match the most recent 4.1.0
  * Remove dh_strip override as binaries are stripped. Fixes lintian error
    file-contains-fixme-placeholder
  * Build-Depends bumped to libgcrypt20
    Closes: #864102
  * Fix bug in installation script that caused builds to fail when
    RemoveIPC=Yes is configured
  * Fix a build bug that missed exposing symbols needed for shared database
    statistics

 -- Amul Shah <Amul.Shah@fisglobal.com>  Tue, 19 Sep 2017 06:59:38 -0400

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
                libtinfo-dev,
                gnupg,
                zlib1g-dev,
-               libgcrypt11-dev | libgcrypt-dev,
+               libgcrypt20-dev | libgcrypt-dev,
                libgpgme11-dev,
-               libconfig-dev | libconfig8-dev,
+               libconfig-dev,
                libssl-dev,
                linux-libc-dev,
                libelf-dev,
                gcc-multilib,
                cmake
 Build-Conflicts: locales-all
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fis-gtm.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
@@ -31,7 +31,7 @@
 Package: fis-gtm
 Architecture: all
 Depends: ${misc:Depends},
-         fis-gtm-6.3-000a
+         fis-gtm-6.3-003a
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -62,7 +62,7 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.3-000a
+Package: fis-gtm-6.3-003a
 Architecture: amd64 i386
 Multi-Arch: same
 Depends: ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+include /usr/share/dpkg/default.mk
+
 MARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 ARCH := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{sub(/-[0-9]*$$/,"");print $$2;}')
-UAPIVER := $(shell echo $(UVER) | sed -e 's,+.*,,')
+UAPIVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+.*,,')
 UAPIDIR := V$(UAPIVER)_$(ARCH)
-SRCPKG := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 BINPKG := $(shell awk '/Package:.*[0-9]/{print $$2;}' debian/control)
 GTM_INSTALL_DIR := lib/$(MARCH)/fis-gtm/$(UAPIDIR)
 LOCAL_GTM_INSTALL_DIR := $(CURDIR)/debian/$(BINPKG)/usr/$(GTM_INSTALL_DIR)
@@ -31,7 +31,7 @@
 		gtm_destdir=$(CURDIR)/debian/$(BINPKG) \
 		gtmcompile="-embed_source" \
 		./gtminstall --utf8 default --user root --group root --verbose \
-			--distrib . \
+			--noprompt-for-sys-cfg --distrib . \
 			--installdir $(LOCAL_GTM_INSTALL_DIR)
 	#@echo "I: Removing redundant license file. One is already available."
 	find $(LOCAL_GTM_INSTALL_DIR) -name COPYING -delete
@@ -90,7 +90,6 @@
 # override files
 # The override is needed according to upstream for GTM to generate executable 'call-in's
 override_dh_lintian:
-	echo "$(BINPKG) binary: shlib-with-executable-stack usr/lib/*/fis-gtm/*/libgtmshr.so" >  debian/$(BINPKG).lintian-overrides
 	echo "$(BINPKG) binary: shared-lib-without-dependency-information usr/lib/*/fis-gtm/*/libgtmutil.so" >> debian/$(BINPKG).lintian-overrides
 	echo "# The following permissions are really set intentionally in override_dh_fixpermissions" >> debian/$(BINPKG).lintian-overrides
 	echo "$(BINPKG): setuid-binary usr/lib/*/fis-gtm/*/gtmsecshrdir/gtmsecshr 4500 root/root" >> debian/$(BINPKG).lintian-overrides
@@ -99,29 +98,13 @@
 	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/gtmsecshrdir/ 0500 != 0755" >> debian/$(BINPKG).lintian-overrides
 	echo "$(BINPKG): package-contains-hardlink usr/lib/*/fis-gtm/*/gtmsecshr -> usr/lib/*/fis-gtm/*/utf8/gtmsecshr" >> debian/$(BINPKG).lintian-overrides
 	echo "$(BINPKG): package-contains-hardlink usr/lib/*/fis-gtm/*/gtmsecshrdir/gtmsecshr -> usr/lib/*/fis-gtm/*/utf8/gtmsecshrdir/gtmsecshr" >> debian/$(BINPKG).lintian-overrides
-	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/ 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
-	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/*/plugin/gtmcrypt/ 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
-	echo "$(BINPKG): non-standard-dir-perm usr/lib/*/fis-gtm/utf8/gtmsecshrdir/ 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
-	echo "$(BINPKG): non-standard-executable-perm usr/lib/*/fis-gtm/*/plugin/gtmcrypt/maskpass 0755 != 0755" >> debian/$(BINPKG).lintian-overrides
-	echo "$(BINPKG): non-standard-file-perm usr/lib/*/fis-gtm/*/* 0664 != 0644" >> debian/$(BINPKG).lintian-overrides
-	echo "$(BINPKG): non-standard-file-perm usr/lib/*/fis-gtm/*/utf8/* 0664 != 0644" >> debian/$(BINPKG).lintian-overrides
 
 	dh_lintian
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf debian/$(BINPKG)-stage1
-	rm -f debian/fis-gtm.links debian/fis-gtm-$(UVER).lintian-overrides
-
-# for some strange reason dh_strip does not seem to do a reliable job
-# FIXME: there should be some more elegant solution like this
-override_dh_strip:
-	dh_strip
-	if [ -d $(LOCAL_GTM_INSTALL_DIR) ] ; then \
-	    cd $(LOCAL_GTM_INSTALL_DIR) ; \
-	    strip dse gtcm_gnp_server gtcm_play gtcm_server gtcm_shmclean lke mupip ; \
-	fi
-	find $(LOCAL_GTM_INSTALL_DIR) -name maskpass -exec strip --remove-section=.comment \{\} \;
+	rm -f debian/fis-gtm.links debian/fis-gtm-$(DEB_VERSION_UPSTREAM).lintian-overrides
 
 get-orig-source:
 	mkdir -p ../tarballs

## fis-gtm 6.3-005

=== debian/changelog ===
fis-gtm (6.3-005-2) unstable; urgency=medium

  * Do not seek for icu-config which is removed from libicu-dev (Thanks
    a lot for László Böszörményi for the patch)
    Closes: #921781

 -- Andreas Tille <tille@debian.org>  Sat, 09 Feb 2019 15:47:21 +0100

fis-gtm (6.3-005-1) unstable; urgency=medium

  * Update to fis-gtm V6.3-005
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Drop useless get-orig-source target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Remove Thorsten Alteholz and Luis Ibanez from Uploaders since both
    did not contributed in the last five years (Thanks to Thorsten and
    Luis for all their work)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 08:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: fis-gtm
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Thorsten Alteholz <debian@alteholz.de>,
-           Luis Ibanez <luis.ibanez@kitware.com>,
            Amul Shah <Amul.Shah@fisglobal.com>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                libicu-dev,
                locales,
                tcsh,
@@ -23,15 +21,15 @@
                gcc-multilib,
                cmake
 Build-Conflicts: locales-all
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fis-gtm.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/fis-gtm.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/fis-gtm
+Vcs-Git: https://salsa.debian.org/med-team/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
 
 Package: fis-gtm
 Architecture: all
 Depends: ${misc:Depends},
-         fis-gtm-6.3-003a
+         fis-gtm-6.3-005
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -62,7 +60,7 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.3-003a
+Package: fis-gtm-6.3-005
 Architecture: amd64 i386
 Multi-Arch: same
 Depends: ${shlibs:Depends},

## fis-gtm 6.3-007

=== debian/changelog ===
fis-gtm (6.3-007-1) unstable; urgency=low

  * Update for GT.M V6.3-007
  * Replace László Böszörményi's patch, thanks for stepping in!
  * Address compiler warnings

 -- Amul Shah <Amul.Shah@fisglobal.com>  Mon, 11 Feb 2019 17:15:50 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: fis-gtm
 Architecture: all
 Depends: ${misc:Depends},
-         fis-gtm-6.3-005
+         fis-gtm-6.3-007
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -60,7 +60,7 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.3-005
+Package: fis-gtm-6.3-007
 Architecture: amd64 i386
 Multi-Arch: same
 Depends: ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -106,7 +106,4 @@
 	rm -rf debian/$(BINPKG)-stage1
 	rm -f debian/fis-gtm.links debian/fis-gtm-$(DEB_VERSION_UPSTREAM).lintian-overrides
 
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --destdir=../tarballs

## fis-gtm 6.3-014

=== debian/changelog ===
fis-gtm (6.3-014-3) unstable; urgency=medium

  * Use Architecture: amd64 i386 for fis-gtm metapackage to express that
    it is not available on architectures like arm64

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jan 2021 08:37:56 +0100

fis-gtm (6.3-014-2) unstable; urgency=medium

  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 23:47:01 +0100

fis-gtm (6.3-014-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: binary-targets
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Repository.

  [ Amul Shah ]
  * Update debian/rules to remove deprecated steps
    Closes: #957206

 -- Andreas Tille <tille@debian.org>  Tue, 01 Dec 2020 21:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Amul Shah <Amul.Shah@fisglobal.com>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                libicu-dev,
                locales,
                tcsh,
@@ -21,15 +21,16 @@
                gcc-multilib,
                cmake
 Build-Conflicts: locales-all
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/fis-gtm
 Vcs-Git: https://salsa.debian.org/med-team/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
+Rules-Requires-Root: binary-targets
 
 Package: fis-gtm
-Architecture: all
+Architecture: amd64 i386
 Depends: ${misc:Depends},
-         fis-gtm-6.3-007
+         fis-gtm-6.3-014
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -60,7 +61,7 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-6.3-007
+Package: fis-gtm-6.3-014
 Architecture: amd64 i386
 Multi-Arch: same
 Depends: ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -61,8 +61,6 @@
 	chmod 0644 $(LOCAL_GTM_INSTALL_DIR)/gtmcshrc
 	#echo "I: Fixing executable permissions"
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/dse
-	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/ftok
-	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/geteuid
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_gnp_server
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_pkdisp
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/gtcm_play
@@ -76,7 +74,6 @@
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/lke
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/mumps
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/mupip
-	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/semstat2
 	chmod 0755 $(LOCAL_GTM_INSTALL_DIR)/plugin/gtmcrypt/*.sh
 
 	#echo "I: Final permissions after dh_fixperms"
@@ -105,5 +102,3 @@
 	dh_auto_clean
 	rm -rf debian/$(BINPKG)-stage1
 	rm -f debian/fis-gtm.links debian/fis-gtm-$(DEB_VERSION_UPSTREAM).lintian-overrides
-
-

=== debian/watch ===
version=4
http://sf.net/fis-gtm/fis-gtm-V(\d\.\d-\d+[A-F]*)\.tar\.gz
